import java.awt.*;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionListener;

import javax.swing.*;

public class Paint implements MouseMotionListener{
	
	JFrame mainFrame;
	JPanel mainPanel;
	JPanel drawingPanel;
	JPanel buttonsPanel;
	JButton clearButton;
	
	public Paint()
	{
		initializeControls();
	}
	
	private void initializeControls(){
		mainFrame = new JFrame("Dessin");
		mainFrame.setSize(400, 300);
		mainFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		mainPanel = new JPanel(new BorderLayout());
		drawingPanel = new JPanel();
		drawingPanel.setBackground(Color.WHITE);
		buttonsPanel = new JPanel();
		mainFrame.getContentPane().add(mainPanel);
		mainPanel.add(drawingPanel, BorderLayout.CENTER);
		mainPanel.add(buttonsPanel, BorderLayout.PAGE_END);
		clearButton = new JButton();
		clearButton.setText("Effacer");
		buttonsPanel.add(clearButton);
		mainFrame.setVisible(true);
		
		drawingPanel.addMouseMotionListener(this);
	}

	@Override
	public void mouseDragged(MouseEvent e) {
		
	}

	@Override
	public void mouseMoved(MouseEvent e) {
		Graphics g = drawingPanel.getGraphics();
		g.drawOval(e.getX(), e.getY(), 10, 10);
		g.dispose();
	}

}
